crypton-1.0.4: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.Camellia

Description

Camellia support. only 128 bit variant available for now.

Synopsis

- data Camellia128

# Documentation

data Camellia128 Source #

Camellia block cipher with 128 bit key

#### Instances

Instances details

Cipher Camellia128 Source # |
Instance details Defined in Crypto.Cipher.Camellia Methods cipherInit :: ByteArray key => key -> CryptoFailable Camellia128 Source # cipherName :: Camellia128 -> String Source # cipherKeySize :: Camellia128 -> KeySizeSpecifier Source #
BlockCipher Camellia128 Source # |

Instance details

Defined in Crypto.Cipher.Camellia

Methods

blockSize :: Camellia128 -> Int Source #

ecbEncrypt :: ByteArray ba => Camellia128 -> ba -> ba Source #

ecbDecrypt :: ByteArray ba => Camellia128 -> ba -> ba Source #

cbcEncrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba Source #

cbcDecrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba Source #

cfbEncrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba Source #

cfbDecrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba Source #

ctrCombine :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba Source #

aeadInit :: ByteArrayAccess iv => AEADMode -> Camellia128 -> iv -> CryptoFailable (AEAD Camellia128) Source #